class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.Default extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.Base
  initialize: (options) ->
    super(options)
    @face = @mdl().FaceFactory.factory this, @my_manifest.face, @item
    @link = @mdl().LinkFactory.factory this, @my_manifest.link, @item
    @listenTo(@face, 'ready:symbol', @ready_symbol)
  
  render: () ->
    icon = new Pettanr.Views.Common.LoadIcon()
    this.$el.html(icon.render().el)
    @face.render()
    this
  
  ready_symbol: (symbol_file) ->
    view = if @has_link()
      Pettanr.View.face_button(@item, symbol_file, {
        context: this,
        click: () =>
          @trigger('click:symbol')
          @trigger('http_get', @link.url())
      })
    else
      new Pettanr.View.Icon(symbol_file)
    this.$el.html(view.render().el)
  
  mdl: () ->
    Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.DefaultModule
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.DefaultModule
