class Locmare.FormModule.FieldModule.TagModule.NumberTag extends Locmare.FormModule.FieldModule.TagModule.Base
  events: {
    'change': 'change'
  }
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    this.$el.html('')
    this.$el.attr(@attr())
    this
  
  change: () ->
    @field.helpers.refresh()
    @field.trigger('change')
  
  type: () ->
    'number'
  
  val: () ->
    parseInt(super)
  
  attr: () ->
    r = super()
    r['value'] = @value()
    r
  
  style: () ->
    r = super()
    sz = @options()['size']
    if sz
      r['width'] = Pettanr.to_s(sz) + 'em'
    r
  
