class Pettanr.View.FacedLabel extends Pettanr.View
  tagName: 'span'
  
  constructor: (@item, options) ->
    super(options)
  
  initialize: (options) ->
    @face_button = @item[@face_button_method_name()](options)
    @label_button = @item.label_button(options)
  
  render: () ->
    this.$el.html('')
    this.$el.append(@face_button.render().el)
    this.$el.append(@label_button.render().el)
    this
  
  face_button_method_name: () ->
    'face_button'
  
class Pettanr.View.MiniFacedLabel extends Pettanr.View.FacedLabel
  
  face_button_method_name: () ->
    'mini_face_button'
  
