class Pettanr.Views.OriginalPicture.Summary extends Pettanr.View.Summary
  className: 'op-smy'
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @load()
  
  load: () ->
    @trigger('ready')
  
  render: () ->
    this.$el.html('')
    @visible = new Tag.Span({
      class_name: 'state',
      content: I18n.t('original_pictures.' + @item.state())
    })
    this.$el.append(@visible.render().el)
    @item.get_child('resource_picture', this, {
      success: (@resource_picture) =>
        if @resource_picture
          @item.get_parent('picture', this, {
            success: (@picture) =>
              @credit = new Pettanr.View.Credit(@picture, {icon: true})
              @listenTo(@credit, 'click:icon', @picture_click)
              this.$el.append(@credit.render().el)
          })
    })
    @rb()
    this
  
  # in credit
  picture_click: (picture) ->
    @trigger('http_get', picture.show_url())
  
