module Editor
  module EditorModule
    module DockModule
      module TabModule
        class BoardBody < Body
          def board
            @parent
          end
          
          def bay
            self.board.bay
          end
          
          def dock
            self.bay.dock
          end
          
          def dock_template_dir
            self.dock.template_dir
          end
          
          def template_dir
            self.dock_template_dir + 'board_body/'
          end
          
          def template_name
            self.template_dir + self.template_file_name
          end
          
          def dom_id
            self.board.dom_id + '-body'
          end
          
          def dom_class
            self.board.dom_class + '-body'
          end
          
        end
        
      end
    end
  end
end
