module Editor
  module EditorModule
    module DockModule
      module TabModule
        class BayLabel < Label
          def bay
            @parent
          end
          
          def dock
            self.bay.dock
          end
          
          def dock_template_dir
            self.dock.template_dir
          end
          
          def template_dir
            self.dock_template_dir + 'bay_label/'
          end
          
          def template_file_name
            'bay_label'
          end
          
          def template_name
            self.template_dir + self.template_file_name
          end
          
          def dom_id
            self.bay.dom_id + '-label'
          end
          
          def dom_class
            self.bay.dom_class + '-label'
          end
          
        end
        
      end
    end
  end
end
