class Pettanr.Views.SpeechBalloonTemplate.Show extends Pettanr.View.Show
  
  initialize: (options) ->
    @header = new Pettanr.View.Show.Header(@item, this, @binder_header_options())
    @listenTo(@header, 'click:pick', @click_pick)
  
  render: () ->
    this.$el.html('')
    this.$el.append(@header.render().el)
    this
  
  click_pick: () ->
    @trigger('pick', @item)
  
  is_pickable: () ->
    true
  
  add_pick: (target_model) ->
    @header.add_pick(target_model)
  
