module Editor
  module EditorModule
    module DockModule
      class ScenarioBucket < Bucket
        attr_accessor :element
        def initialize parent, element
          super parent
          @element = element
        end
        
        def board
          @parent.board
        end
        
        def bay
          self.board.bay
        end
        
        def template_dir
          @parent.dock.template_dir
        end
        
        def template_file_name
          'bucket/scenario'
        end
        
        def template_options
          {:element => self.element}
        end
        
      end
      
    end
  end
end
