require_dependency "locmare/filer/body/file_body/file_item/caption/default/face/face"
module Locmare
  module FilerModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          module CaptionItemColumnModule
            module DefaultModule
              class FaceFactory
                include FaceModule
                @@types = {
                  'column' => ColumnFace, 'method' => MethodFace, 'none' => NoneFace
                }
                def self.factory file_item, my_manifest, item
                  type = my_manifest.type
                  raise "undefined type for local view filers > #{file_item.item_name} > caption > face\n" unless type
                  my_class = @@types[type]
                  raise "undefined class for local view filers > #{file_item.item_name} > caption > face > #{type}\n" unless my_class
                  my_class.new(file_item, my_manifest, item)
                end
                
              end
            end
          end
        end
      end
    end
  end
end
