module Locmare
  module FilerModule
    module BodyModule
      module FileHeaderModule
        class Base
          attr :file_header, :column_name
          def initialize file_header, column_name
            @file_header = file_header
            @column_name = column_name
          end
          
          def filer
            @file_header.filer
          end
          
          def manifest
            self.filer.manifest
          end
          
          def item_name
            self.filer.item_name
          end
          
          def model
            self.filer.model
          end
          
          def items
            self.filer.items
          end
          
          def template_dir
            self.filer.template_dir + 'header_column/'
          end
          
          def template_file_name
            "show"
          end
          
          def template_name
            self.template_dir + self.template_file_name
          end
          
        end
      end
    end
  end
end
