module Peta
  class Template < SystemResource
    self.abstract_class = true
    
    # Dynamic ClassMethods
    
    # ClassMethods
    
    def self.enable_list
      self.all.delete_if {|i|
        i.enable? == false
      }
    end
    
    def self.template_manifest
      Manifest.manifest.system_resources.templates[self.item_name]
    end
    
    def enable?
      return false unless tpl = self.class.template_manifest
      tpl.template_items.include? self.module_name
    end
    
    def template_module
      Object.const_get self.module_name
    end
    
    def template_path_name
      self.class.template_manifest.template_items[self.module_name]
    end
    
  end
end
